Bug 501254 - (CVE-2009-1378) CVE-2009-1378 OpenSSL: DTLS fragment handling memory DoS
CVE-2009-1378 OpenSSL: DTLS fragment handling memory DoS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
public=20090512,source=internet,repor...
: Security
Depends On: 501667 1127896
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 04:54 EDT by Mark J. Cox (Product Security)
Modified: 2014-08-07 15:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 10:26:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2009-05-18 04:54:04 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-1378 to the following vulnerability:

In dtls1_process_out_of_seq_message() the check if the current message
is already buffered was missing. For every new message was memory
allocated, allowing an attacker to perform an denial of service attack
with sending out of seq handshake messages until there is no memory
left. Additionally every future messege was buffered, even if the
sequence number made no sense and would be part of another handshake.
So only messages with sequence numbers less than 10 in advance will be
buffered.

        http://rt.openssl.org/Ticket/Display.html?id=1931&user=guest&pass=guest
        http://marc.info/?t=124250665500033&r=1&w=2
        http://cvs.openssl.org/chngview?cn=18190
        but reverted for 0.9.8 http://cvs.openssl.org/chngview?cn=18200
Comment 1 Jan Lieskovsky 2009-05-19 15:43:36 EDT
CVE-2009-1378:

Multiple memory leaks in the dtls1_process_out_of_seq_message function
in ssl/d1_both.c in OpenSSL 0.9.8k and earlier 0.9.8 versions allow
remote attackers to cause a denial of service (memory consumption) via
DTLS records that (1) are duplicates or (2) have sequence numbers much
greater than current sequence numbers, aka "DTLS fragment handling
memory leak."

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-1378
http://marc.info/?l=openssl-dev&m=124247679213944&w=2
http://marc.info/?l=openssl-dev&m=124263491424212&w=2
http://www.openwall.com/lists/oss-security/2009/05/18/1
https://launchpad.net/bugs/cve/2009-1378
http://cvs.openssl.org/chngview?cn=18188
http://rt.openssl.org/Ticket/Display.html?id=1931&user=guest&pass=guest
http://www.securityfocus.com/bid/35001
http://secunia.com/advisories/35128
Comment 3 Fedora Update System 2009-05-21 15:53:52 EDT
openssl-0.9.8g-14.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openssl-0.9.8g-14.fc10
Comment 4 Fedora Update System 2009-05-21 15:54:13 EDT
openssl-0.9.8g-9.14.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/openssl-0.9.8g-9.14.fc9
Comment 5 Fedora Update System 2009-05-21 15:54:30 EDT
openssl-0.9.8k-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openssl-0.9.8k-5.fc11
Comment 6 Tomas Hoger 2009-06-02 05:25:17 EDT
This issue did not affect versions of openssl as shipped in Red Hat Enterprise Linux 3 and 4.

This issue affects openssl version as shipped in Red Hat Enterprise Linux 5 and it will be addressed in the openssl packages update in Red Hat Enterprise Linux 5.4.  There is no update planned before than, as both DTLS specification and OpenSSL's implementation is still in development and unlikely to be used in production environments.  There is no component shipped in Red Hat Enterprise Linux 5 using OpenSSL's DTLS implementation, except for OpenSSL's testing command line client - openssl.
Comment 7 Fedora Update System 2009-06-19 09:35:18 EDT
openssl-0.9.8g-14.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-06-19 09:40:48 EDT
openssl-0.9.8g-9.14.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-06-19 09:42:39 EDT
openssl-0.9.8k-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2009-09-02 07:00:17 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1335 https://rhn.redhat.com/errata/RHSA-2009-1335.html
Comment 11 errata-xmlrpc 2009-09-02 08:11:57 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1335 https://rhn.redhat.com/errata/RHSA-2009-1335.html

Note You need to log in before you can comment on or make changes to this bug.